# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Parse-CPAN-Meta
Epoch:		1
Version:	1.4414
Release:	1.%{__distinit}%{__distvers}
Summary:	Parse META.yml and META.json CPAN metadata files
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Parse-CPAN-Meta/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Parse-CPAN-Meta-%{version}.tar.gz
Patch0:		Parse-CPAN-Meta-1.4409-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
# CPAN::Meta needs Parse::CPAN::Meta
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.120900
%endif
BuildRequires:	perl(CPAN::Meta::YAML) >= 0.011
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(JSON) >= 2.5
BuildRequires:	perl(JSON::PP) >= 2.27200
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(version)
BuildRequires:	perl(YAML)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Not added automatically
Requires:	perl(CPAN::Meta::YAML) >= 0.011
Requires:	perl(JSON::PP) >= 2.27200

%description
Parse::CPAN::Meta is a parser for META.json and META.yml files, using JSON::PP
and/or CPAN::Meta::YAML. It provides three methods: load_file,
load_json_string, and load_yaml_string. These will read and de-serialize CPAN
metafiles.

Parse::CPAN::Meta provides a legacy API of only two functions, based on the
YAML functions of the same name. Wherever possible, identical calling semantics
are used. These may only be used with YAML sources.

All error reporting is done with exceptions (die'ing).

%prep
%setup -q -n Parse-CPAN-Meta-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot} UNINST=0
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING LICENSE README
%{perl_vendorlib}/Parse/
%{_mandir}/man3/Parse::CPAN::Meta.3pm*

%changelog
* Tue Mar  4 2014 Paul Howarth <paul@city-fan.org> 1:1.4414-1
- Update to 1.4414
  - Added load_string, which uses heuristics to guess YAML/JSON content
  - load_file will now attempt to detect YAML/JSON content if the suffix is
    not .json, .yml or .yaml

* Tue Feb 18 2014 Paul Howarth <paul@city-fan.org> 1:1.4413-1
- Update to 1.4413
  - UTF-8 decoding is done differently to avoid requiring a newer version of
    Encode

* Mon Feb 17 2014 Paul Howarth <paul@city-fan.org> 1:1.4412-1
- Update to 1.4412
  - Added prerequisite on Encode 2.11

* Mon Feb 17 2014 Paul Howarth <paul@city-fan.org> 1:1.4411-1
- Update to 1.4411
  - Invalid UTF-8 encoding in YAML files are now replaced with "PERLQQ" quoting
    from the Encode module and without warnings
  - Removed legacy test modifications for $ENV{PERL_CORE}

* Sun Feb 16 2014 Paul Howarth <paul@city-fan.org> 1:1.4410-1
- Update to 1.4410
  - Dropped support for Perls before v5.8.1 to ensure proper UTF-8 and IO
    layer support
  - Updated CPAN::Meta::YAML prereq to 0.011 due to deprecation of 'errstr'
    and consistent use of exceptions

* Mon Sep 23 2013 Paul Howarth <paul@city-fan.org> 1:1.4409-1
- Update to 1.4409
  - Updated Makefile.PL logic to support PERL_NO_HIGHLANDER
  - Installation on Perls < 5.12 will uninstall older versions installed due to
    being bundled with ExtUtils::MakeMaker
- Drop POD encoding patch, no longer needed
- Update patch to support building with ExtUtils::MakeMaker < 6.30

* Sun Sep  8 2013 Paul Howarth <paul@city-fan.org> 1:1.4407-1
- Update to 1.4407
  - Fixed incorrect resource metadata
  - Fixed improperly encoded META.yml
- Add patch to fix POD encoding

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> 1:1.4405-1
- Update to 1.4405
  - Fixed incorrect "return ... or die ..." constructs
  - Converted distribution to Dist::Zilla management
  - Noted new repository location in the Github Perl-Toolchain-Gang organization
- BR: perl(Exporter), perl(File::Find), perl(File::Temp), perl(JSON),
  perl(List::Util) and perl(YAML)
- Drop BR: perl(Test::Pod::Coverage), moved to extra tests
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- Package CONTRIBUTING, LICENSE and README files

* Sat Jun 23 2012 Paul Howarth <paul@city-fan.org> 1:1.4404-2
- BR: perl(File::Spec) and perl(File::Spec::Functions)

* Fri Apr  6 2012 Paul Howarth <paul@city-fan.org> 1:1.4404-1
- Update to 1.4404
  - Protected tests from user PERL_YAML/JSON_BACKEND

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> 1:1.4403-1
- Update to 1.4403
  - Bumped prereqs: JSON::PP to 2.27200 and CPAN::Meta::YAML to 0.008
- Don't need to remove empty directories from buildroot
- Drop BR: perl(strict); not a dual-lived module
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> 1:1.4402-1
- Update to 1.4402
  - Minor maintenance: standardized newlines to Unix style
- BR: perl(Carp) and perl(strict) for completeness

* Tue Oct 18 2011 Paul Howarth <paul@city-fan.org> 1:1.4401-3
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 1:1.4401-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Thu Feb 10 2011 Paul Howarth <paul@city-fan.org> 1:1.4401-1
- Epoch bump to match the one in the Fedora package generated from the main
  perl package

* Sat Feb  5 2011 Paul Howarth <paul@city-fan.org> 1.4401-1
- Update to 1.4401
  - Removed Module::Load::Conditional dependency
- Drop buildreq perl(Module::Load::Conditional)
- Switch to 4 decimal place rpm version number as per Fedora

* Fri Feb  4 2011 Paul Howarth <paul@city-fan.org> 1.44-1
- Update to 1.4400
  - Added 'json_backend' and 'yaml_backend' methods to provide the names of
    modules used for de-serialization

* Mon Jan 31 2011 Paul Howarth <paul@city-fan.org> 1.42-2
- Add explicit runtime dependency on perl(CPAN::Meta::YAML) >= 0.002
- Add explicit runtime dependency on perl(JSON::PP) >= 2.27103

* Tue Jan 25 2011 Paul Howarth <paul@city-fan.org> 1.42-1
- Update to 1.4200
  - Add support for JSON metafiles and load_* methods
  - Move binary file unpacking to test file from Makefile.PL so tests will
    pass in the Perl core using a generated Makefile.PL
  - Move bundled uupacktool.pl to t/bin/
  - Use CPAN::Meta::YAML rather than YAML::Tiny
  - Throw exception when CPAN::Meta::YAML has a parse error (CPAN RT#47608)
  - Support PERL_JSON_BACKEND environment (defaulting to JSON::PP)
  - Support PERL_YAML_BACKEND environment (defaulting to CPAN::Meta:YAML)
  - Update Makefile.PL to install to sitelib on Perl 5.12+
- This release by DAGOLDEN -> update source URL
- BR: perl(CPAN::Meta::YAML) >= 0.002
- BR: perl(JSON::PP) >= 2.27103
- BR: perl(Module::Load::Conditional) >= 0.26
- Drop BR: perl(Test::CPAN::Meta), perl(Test::MinimumVersion) - no longer used
- Update %%summary and %%description to reflect expanded scope of module

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.40-4
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun  2 2010 Paul Howarth <paul@city-fan.org> 1.40-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> 1.40-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed Jul 29 2009 Paul Howarth <paul@city-fan.org> 1.40-1
- Update to 1.40
  - Add core perl 5.10.1's uupacktool.pl
  - Recode t/data/utf_16_le_bom.yml as ASCII (CPAN RT#47844)
- New upstream maintainer -> source URL change

* Thu May 21 2009 Paul Howarth <paul@city-fan.org> 1.39-1
- Update to 1.39 (upstream have-utf8 patch)

* Sun May 17 2009 Paul Howarth <paul@city-fan.org> 1.38-1
- Update to 1.38 (sync with YAML::Tiny)
- Different upstream maintainer -> source URL change
- Update have-utf8 patch

* Thu Mar 12 2009 Paul Howarth <paul@city-fan.org> 0.05-1
- Update to 0.05 (merge unicode/BOM fixes from YAML::Tiny)
- Update to SLES-compatible dist tag macros
- Patch HAVE_UTF8 to return true for perl >= 5.8.1 rather than 5.7.3,
  preventing test failures in RHL9 and RHEL3 (perl 5.8.0 with no UTF8)

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> 0.04-1
- Update to 0.04
- BR: Test::CPAN::Meta
- New upstream maintainer -> new source URL
- No more README or LICENSE (not in upstream distribution)

* Tue Nov 11 2008 Paul Howarth <paul@city-fan.org> 0.03-2
- Import from Fedora
- Enable AUTOMATED_TESTING
- BR: Test::MinimumVersion >= 0.007, Test::Pod >= 1.00
- Next build will BR: Test::CPAN::Meta but disabled yet for bootstrapping

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 0.03-1
- Specfile autogenerated by cpanspec 1.75.
- BR Test::More.
